<?php
namespace YTKNS;

use Exception;

class PageEffectException extends Exception {};

interface PageEffectInterface {
    public function setEffectParams(array $vars, bool $quiet = false): void;
    public function getEffectParams(): array;
    public function getEffectName(): string;
    public function getEffectProperties(): array;
    public function applyEffect(PageBuilder $builder): void;
}
